<?php
//$Id$
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** Preload & Setup:
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	// ATTN: Default Path for Includes -- overide if this script is someplace else*/
	if (!defined('OPENMENU_PATH'))
		define('OPENMENU_PATH', '/toolbox/');

	// ATTN: Default Headers -- overide if you include them yourself
	if (!defined('OMT_SKIPHEADERS'))
		{
		echo '<link rel="stylesheet" href="'.OPENMENU_PATH.'style.css" type="text/css" />';
		echo '<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>';
		echo '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>';
		echo '<script type="text/javascript" src="'.OPENMENU_PATH.'om_map.js"></script>';
		}
	
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** Common Functions:
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

	function build_menu ($omf_url, $columns = '1', $menu_filter = '', $group_filter = '',
				 $show_restaurant = true, $split_on = 'item', $use_short_tag = false) { 
		// ------------------------------------- 
		//  Create a menu display from OMF Details 
		// ------------------------------------- 

		// get the menu
		$omf_details = false;
		if ( !empty($omf_url) ) {
			include_once 'class-omf-reader.php'; 
			$omfr = new cOmfReader; 
			$omf_details = $omfr->read_file($omf_url.'?ref=drupal'); 
			unset($omfr);
		}
		
		$retval = '<div id="openmenu">';
		
		// Get the restaurant section
		if ($show_restaurant) {
			$retval .= get_restaurant_from_details($omf_details);
		}
		
		// Get the menu details
		include_once 'class-omf-render.php'; 
		$render = new cOmfRender;
		$render->columns = $columns;
		$render->split_on = $split_on;
		$render->disable_entities = true;
		$render->hide_attribute = false;
		$render->use_short_tag = $use_short_tag;
		$retval .= $render->get_menu_from_details($omf_details, $menu_filter, $group_filter);
		unset($render);
		
		$retval .= '</div><!-- #openmenu -->';
		
		return $retval;
	}

	function get_restaurant_from_details ($omf_details) {
		// ------------------------------------- 
		//  Create a restaurant display from OMF Details
		// ------------------------------------- 
		
		$retval = '';
		
		if ( !empty($omf_details) ) {
			$retval .= '<div id="om_restaurant">';
			
			// Setup JS for mapping
			$retval .= '<script type="text/javascript">
					$j(document).ready(function() {
						// Initialize the mapping stuff
						initialize();';

	// If we have the cords then no need to geo-code
	if (!empty($omf_details['restaurant_info']['latitude']) && !empty($omf_details['restaurant_info']['longitude'])) {
		$retval .= 'map_cords("'.$omf_details['restaurant_info']['latitude'].'", "'.$omf_details['restaurant_info']['longitude'].'");';
	} else {
		$retval .= 'map_address("'.$omf_details['formatted_address'].'");';
	}
	
				$retval .= '});</script>';
			
				$retval .= '<div id="location-map"><div id="locationmap"></div></div>';
				$retval .= '<div id="details">
		            <p>'.clean($omf_details['restaurant_info']['brief_description']).'</p>
		            <p>
		            	<strong>Address:</strong><br />
		            	'.clean($omf_details['restaurant_info']['address_1']).'<br />
		            	'.clean($omf_details['restaurant_info']['city_town']).', '. $omf_details['restaurant_info']['state_province'].' '.$omf_details['restaurant_info']['postal_code'].' '.$omf_details['restaurant_info']['country'].'
		            </p>
		            <p>
			            <strong>Phone: </strong>'.$omf_details['restaurant_info']['phone'].'<br />
			            <strong>Website: </strong> <a href="' . $omf_details['restaurant_info']['website_url'] . '">'.$omf_details['restaurant_info']['website_url'].'</a>
		            </p>
		            
		            <p>
		            	<strong>Hours:</strong><br />';

foreach ($omf_details['operating_days']['printable'] AS $daytime) {
	$retval .= $daytime.'<br />';
}

			        $retval .= '</p>
				        <div><strong>Type:</strong> '.clean($omf_details['environment_info']['cuisine_type_primary']).'</div>
					</div>
					<div class="clear"></div>';
			
			$retval .= '</div>';
		}
		
		return $retval;
	}
	
	function clean ($str) { 
		return htmlentities($str, ENT_COMPAT, 'UTF-8');
	}

	function openmenu_node_save($info = array()){
		//module_load_include('inc', 'pathauto', 'pathauto');
		
		$node = node_load_from_title($info['title']);
		if(empty($node)){
			$node = new stdClass();
		}
		
		$node->title = $info['title'];
		$node->type = 'openmenu';
		node_object_prepare($node);
		  
		$node->language = LANGUAGE_NONE;
		
		$node->body[$node->language][0]['value']   = $info['body'];
		$node->body[$node->language][0]['summary'] = text_summary($info['body']);
		$node->body[$node->language][0]['format']  = 'filtered_html';
		
		//$path = pathauto_cleanstring($info['path']);
		
		//$node->path = array('alias' => $path);
		
		$node->menu_location_url = $info['menu_location_url'];
		$node->display_columns = $info['display_columns'];
		$node->showrestaurant = $info['showrestaurant'];
		$node->menu_filter = $info['menu_filter'];
		$node->group_filter = $info['group_filter'];
		
		node_save($node);
	}